Skip to content
中文

POST /riffusion/generate

Method: POSTEndpoint: /riffusion/generate

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
model
string
Required
lyrics
string
Required
tag
string
Required
title
string
Required
morph
object
Required
audio_upload_id
string
Required
transform
string
Required
normalized_lyrics_strength
number
Required
normalized_sound_prompt_strength
number
Required
normalized_weirdness
number
Required
normalized_cover_strength
number
Required
normalized_variation_strength
null
Required
duration
integer
Required
Example
{
"model"
:
"string"
,
"lyrics"
:
"string"
,
"tag"
:
"string"
,
"title"
:
"string"
,
"morph"
:
{
"audio_upload_id"
:
"string"
,
"transform"
:
"string"
,
"normalized_lyrics_strength"
:
0
,
"normalized_sound_prompt_strength"
:
0
,
"normalized_weirdness"
:
0
,
"normalized_cover_strength"
:
0
,
"normalized_variation_strength"
:
null
,
"duration"
:
0
}
}

Example Request

Shell

bash
curl --location --request POST '/riffusion/generate' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "string",
    "lyrics": "string",
    "tag": "string",
    "title": "string",
    "morph": {
        "audio_upload_id": "string",
        "transform": "string",
        "normalized_lyrics_strength": 0,
        "normalized_sound_prompt_strength": 0,
        "normalized_weirdness": 0,
        "normalized_cover_strength": 0,
        "normalized_variation_strength": null,
        "duration": 0
    }
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{}